=== tests/Makefile ===
all:

clean::
	rm -f *.out
