=== debian/changelog ===
xmlformat (1.04-3) unstable; urgency=medium

  * d/compat: Bump to compat 11
  * d/rules: remove explicit --parallel flag
  * d/copyright: Fix lintian invalid-short-name-in-dep5-copyright
  * d/control: Migrate to XML SGML Team maintenance
  * d/control: Bump Std-Vers to 4.6.0 no changes needed
  * d/control: Add Rules-Requires-Root: no
  * d/control: Incorporate Multiarch hinter suggestions

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Jan 2022 15:21:01 +0100

xmlformat (1.04-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:33:26 +0100

xmlformat (1.04-2) unstable; urgency=low

  * Fix example.conf installation
  * Add upstream BUGS

 -- Mathieu Malaterre <malat@debian.org>  Mon, 01 Oct 2012 15:32:48 +0200

xmlformat (1.04-1) unstable; urgency=low

  * Initial release. (Closes: #687277)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Sep 2012 14:23:44 +0200
