=== debian/control ===
Source: xmlformat
Section: utils
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: xsltproc, fop, docbook-xsl, ruby
Homepage: http://www.kitebird.com/software/xmlformat/
Vcs-Git: https://salsa.debian.org/xml-sgml-team/xmlformat.git
Vcs-Browser: https://salsa.debian.org/xml-sgml-team/xmlformat
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: xmlformat-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Provides: xmlformat
Conflicts: xmlformat
Replaces: xmlformat
Suggests: libxml2-utils
Multi-Arch: foreign
Description: XML Document Formatter
 xmlformat is a configurable formatter (or "pretty-printer") for XML documents.
 It provides control over indentation, line-breaking, and text wrapping. These
 properties can be defined on a per-element basis.
 .
 xmlformat provides improved diagnostic information when a document is not
 well-formed. (Prints line and token number, and stack trace).
 .
 This is the perl implementation

Package: xmlformat-ruby
Architecture: all
Depends: ${misc:Depends}, ruby:any
Provides: xmlformat
Conflicts: xmlformat
Replaces: xmlformat
Suggests: libxml2-utils
Description: XML Document Formatter
 xmlformat is a configurable formatter (or "pretty-printer") for XML documents.
 It provides control over indentation, line-breaking, and text wrapping. These
 properties can be defined on a per-element basis.
 .
 xmlformat provides improved diagnostic information when a document is not
 well-formed. (Prints line and token number, and stack trace).
 .
 This is the ruby implementation

Package: xmlformat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, doc-base
Description: XML Document Formatter documentation
 xmlformat is a configurable formatter (or "pretty-printer") for XML documents.
 It provides control over indentation, line-breaking, and text wrapping. These
 properties can be defined on a per-element basis.
 .
 xmlformat provides improved diagnostic information when a document is not
 well-formed. (Prints line and token number, and stack trace).
 .
 This is the documentation for xmlformat
