=== debian/watch ===
version=3
http://www.kitebird.com/software/xmlformat/xmlformat-([\d\.]+)\.tar\.gz
